
{$APPTYPE CONSOLE}
var ment, v ,s, i, tests, z: integer; alltime:real; a:array[1..30] of integer;  b:array[1..30] of integer;
begin
  assign(input, 'TRANSPORT.IN'); reset(input);
  read(tests);
  for i:= 1 to tests do
  begin

    read(ment, v, s);
    alltime:=s/v*60;
    for z:=1 to ment do
      begin
        read(a[z], b[z]);
        alltime:=alltime + b[z];
      end;
      writeln(alltime:6:2);
      alltime:=0;
  end;
end.
